package de.hems.trafficsim;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import java.util.Observable;
import java.util.Observer;

public class MainActivity extends AppCompatActivity implements Observer {

    protected Track track;
    protected VehicleTimeRecord records;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        this.track = new Track(20);
        this.records = null;
        this.track.addObserver(this);

    }

    @Override
    public void update(Observable observable, Object o) {
        String s = "";
        for (Vehicle v: this.track.getVehicles()){
            s+= "Vehicle " + v.id + "   |   "
                    + "Pos = " + v.getPosition() + "   |   "
                    + "Vel = " + v.getCurVelocity()+ "   |   "
                    + "\n";
            ;
        }
        String t = "";      //vtr arraylist to string
        String text = s + "\n" + t;
        TextView view = (TextView) findViewById(R.id.debugTextView);
        view.setText(text);
        view.invalidate();
    }

    public void onStepButtonClick (View view) {
        for (int j = 0; j < 1; j++) {
            this.track.timeElapse(50);
        }
    }


}

